WayloAIWaylo Docs
APIReferenceAgents

Restore agent version

POST
/agents/{id}/versions/{version}/restore

Make a past configuration the current one, as a new version — version never goes back. Documents deleted since are skipped and listed in skippedDocuments. Restoring the current configuration creates no version.

Access: workspace_admin · API key agents:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string
version*number

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
agent*
skippedDocuments*array<>
Example Request
curl -X POST 'https://api.poc.app.waylovoice.ai/agents/string/versions/0/restore' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "agent": {    "id": "string",    "workspaceId": "string",    "name": "string",    "greeting": "string",    "systemPrompt": "string",    "language": "string",    "sttProvider": "string",    "sttModel": "string",    "sttOptions": {      "property1": "string",      "property2": "string"    },    "llmProvider": "string",    "llmModel": "string",    "llmOptions": {      "property1": "string",      "property2": "string"    },    "ttsProvider": "string",    "ttsModel": "string",    "ttsVoiceId": "string",    "ttsOptions": {      "property1": "string",      "property2": "string"    },    "runtimeConfig": {      "endpointing": {        "mode": "fixed",        "minDelayMs": 300,        "maxDelayMs": 1000,        "alpha": 0.9      },      "vad": {        "activationThreshold": 0.5,        "minSpeechDurationMs": 50,        "minSilenceDurationMs": 550      },      "backgroundAudio": {        "sound": "off",        "volume": 0.1,        "delaySeconds": 0      },      "thinkingSound": {        "enabled": false,        "delaySeconds": 1.5,        "volume": 0.3      },      "silenceTimeoutMs": 15000,      "silenceRetryAttempts": 3    },    "catalogId": "string",    "catalog": {      "id": "string",      "name": "string",      "description": "string",      "active": true    },    "presetId": "string",    "toolFeedbackOverrides": {      "property1": {        "ack": [          "string"        ],        "filler": [          "string"        ]      },      "property2": {        "ack": [          "string"        ],        "filler": [          "string"        ]      }    },    "spokenReply": true,    "spokenReplyPrompt": "string",    "documents": [      {        "id": "string",        "name": "string"      }    ],    "tools": [      {        "id": "string",        "name": "string",        "type": "api_request"      }    ],    "destinations": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    ],    "version": 0,    "active": true,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "skippedDocuments": [    {      "id": "string",      "name": "string"    }  ]}